<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Vauhtilaskin</title>
</head>
<body>
    <form id="f">
    Tunnit: <input type="text" id="n1" value="1"><br>
    Minuutit: <input type="text" id="n2" value="13"><br>
    Sekunnit: <input type="text" id="n3" value="13"><br>
    Kilometrit: <input type="text" id="n4" value="20"><br>
    <button type="button" onclick="tulostavauhdit(f.n1.value, f.n2.value, f.n3.value, f.n4.value,)">Laske vauhdit!</button>
</form>

<div id="tulos"></div>

<script>

    function laskekmvauhti(h, m, s, k) {
        var tunnit = parseInt(h)+(parseInt(m)*60+parseInt(s))/3600;
        var kmh = k/tunnit;
        return kmh;
    }

    function laskeminperkmvauhti(h, m, s, k) {
        var sekunnit = parseInt(h)*60*60+parseInt(m)*60+parseInt(s);
        sekunnit = sekunnit/k;

        var minutes = 0;

        while (sekunnit >= 60){
        minutes++;
        sekunnit = sekunnit - 60;
        }
        sekunnit = Math.round(sekunnit);
        sekunnit = String('0'+ sekunnit).slice(-2);
                return minutes + "." + sekunnit;
    }

    function tulostavauhdit(h, m, s, k) {

          let kmvauhti = laskekmvauhti(h, m, s, k);

        
        let minperkmvauhti = laskeminperkmvauhti(h, m, s, k);
        let div = document.getElementById("tulos");
        div.innerHTML = kmvauhti + "km/h<br>" +
                        minperkmvauhti + "km/h";
    }
</script>
</body>
</html>